searchData={"items":[{"type":"module","title":"FLAMEGigalixirBackend","doc":"The `FLAME.Backend` using [Gigalixir](https://gigalixir.com) machines.\n\nThe only required configuration is telling FLAME to use the\n`FLAMEGigalixirBackend` by default.\n\nThe following backend options are supported:\n\n  * `:size` - The size of the runner. Defaults to the application's size.\n    Minimum is `0.2`, which represent 200MiB of memory and 0.2 CPU shares.\n    \n  * `:boot_timeout` - The boot timeout. Defaults to `60_000` (60 seconds).\n\n  * `:max_runtime` - The maximum runtime of the runner in seconds.\n\n  * `:app` – The name of the Gigalixir app. Defaults to `System.get_env(\"GIGALIXIR__APP_NAME\")`,\n\n  * `:token` – The application's API token. Defaults to `System.get_env(\"GIGALIXIR__APP_KEY\")`.\n\n  * `:host` – The host of the Gigalixir API. Defaults to `\"https://api.gigalixir.com\"`.","ref":"FLAMEGigalixirBackend.html"},{"type":"function","title":"FLAMEGigalixirBackend.with_elapsed_ms/1","doc":"","ref":"FLAMEGigalixirBackend.html#with_elapsed_ms/1"},{"type":"extras","title":"FLAMEGigalixirBackend","doc":"# FLAMEGigalixirBackend\n\nA [FLAME](https://github.com/phoenixframework/flame/tree/main) Backend for [Gigalixir](https://gigalixir.com), Elixir’s Platform as a Service.\n\n[![Module Version](https://img.shields.io/hexpm/v/flame_gigalixir_backend.svg)](https://hex.pm/packages/flame_gigalixir_backend)\n[![Last Updated](https://img.shields.io/github/last-commit/gigalixir/flame_gigalixir_backend.svg)](https://github.com/gigalixir/flame_gigalixir_backend/commits/main)\n\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/flame_gigalixir_backend/)\n[![Total Download](https://img.shields.io/hexpm/dt/flame_gigalixir_backend.svg)](https://hex.pm/packages/flame_gigalixir_backend)\n[![License](https://img.shields.io/hexpm/l/flame_gigalixir_backend.svg)](https://github.com/mruoss/flame_gigalixir_backend/blob/main/LICENSE)","ref":"readme.html"},{"type":"extras","title":"Installation - FLAMEGigalixirBackend","doc":"```elixir\ndef deps do\n  [\n    {:flame_gigalixir_backend, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - FLAMEGigalixirBackend","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Configure the FLAME backend - FLAMEGigalixirBackend","doc":"Configure the flame backend in our configuration or application setup:\n\n```elixir\n  # config/prod.exs\n  config :flame, :backend, FLAMEGigalixirBackend\n```","ref":"readme.html#configure-the-flame-backend"},{"type":"extras","title":"Configure clustering - FLAMEGigalixirBackend","doc":"The backend relies on libcluster to communicate between the FLAME Parent and the FLAME workers.\n\n```elixir\n  # config/runtime.exs\n  config :libcluster,\n    topologies: [\n      k8s_example: [\n        strategy: Cluster.Strategy.Kubernetes,\n        config: [\n          kubernetes_selector: System.get_env(\"LIBCLUSTER_KUBERNETES_SELECTOR\"),\n          kubernetes_node_basename: System.get_env(\"LIBCLUSTER_KUBERNETES_NODE_BASENAME\")]]]\n```\n\nBe sure to start up libclustering:\n```elixir\n  # application.ex\n  def start(_type, _args) do\n    topologies = Application.get_env(:libcluster, :topologies) || []\n\n    children = [\n      {Cluster.Supervisor, [topologies, [name: MyApplication.ClusterSupervisor]]},\n      ...\n    ]\n    ...\n  end\n```","ref":"readme.html#configure-clustering"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).","ref":"changelog.html"},{"type":"extras","title":"Unreleased - Changelog","doc":"<!-- Add your changelog entry to the relevant subsection -->\n\n<!--","ref":"changelog.html#unreleased"},{"type":"extras","title":"Added | Changed | Deprecated | Removed | Fixed | Security --> - Changelog","doc":"<!--------------------- Don't add new entries after this line --------------------->\n\n## [0.1.1] - 2024-12-28\n\n- Documentation updates\n\n## [0.1.0] - 2024-12-28\n\n- Initial release of `flame_gigalixir_backend`","ref":"changelog.html#added-changed-deprecated-removed-fixed-security"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}